#
# spec file for package tgif (Version 4.1.40)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         tgif
Copyright:    distributable
Group:        X11/Applications/Graphics
Autoreqprov:  on
Version:      4.1.40
Release:      135
Summary:      Vector-oriented drawing program
Source:       tgif-%{version}.tar.bz2
Patch:        tgif-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
This program has nothing to do with the GIF format. It is an
extremely powerful and easy to use vector-oriented drawing program
which has every feature you would expect in a drawing utility.

Authors:
--------
    William Chia-Wei Cheng <william@cs.UCLA.edu>

SuSE series: gra

%prep
%setup
%patch

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
make "DESTDIR=$RPM_BUILD_ROOT" install.man
cp -av spice $RPM_BUILD_ROOT/usr/X11R6/lib/X11/tgif
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
cp -av tgif.Xdefaults $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Tgif

%files
%defattr(-,root,root)
%doc README HISTORY Copyright
/usr/X11R6/bin/tgif
%config /usr/X11R6/lib/X11/app-defaults/Tgif
/usr/X11R6/lib/X11/tgif
%doc /usr/X11R6/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n tgif
* Wed May 23 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Thu Nov 16 2000 - cihlar@suse.cz
- update to 4.1.40
- bzipped sources
- fixed copyright
* Thu May 18 2000 - cihlar@suse.cz
- update to 4.1.33
* Tue Mar 28 2000 - cihlar@suse.de
- update to 4.1.28
* Wed Feb 23 2000 - fehr@suse.de
- changed to new version 4.1.26
* Wed Sep 29 1999 - fehr@suse.de
- changed to new version 4.1.21
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jun 01 1997 - bs@suse.de
- moved var/X11R6/lib/app-defaults to usr/X11R6/lib/X11/app-defaults
* Mon Feb 03 1997 - fehr@suse.de
- Changed to Version 3.0 pl 12
